USE [AdventureWorksDW2012]
GO

CREATE SCHEMA [Demo]
GO

/****** Object:  View [Demo].[Categories]    Script Date: 1/14/2013 3:58:55 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [Demo].[Categories] AS
    SELECT
        ProductSubcategoryKey = ProductSubcategoryKey,
        ProductCategoryName = EnglishProductCategoryName,
        ProductSubcategoryName = EnglishProductSubcategoryName
    FROM
        dbo.DimProductSubcategory WITH (NOLOCK)
        INNER JOIN dbo.DimProductCategory WITH (NOLOCK)
        ON dbo.DimProductSubcategory.ProductCategoryKey = dbo.DimProductCategory.ProductCategoryKey

GO

/****** Object:  View [Demo].[Customers]    Script Date: 1/14/2013 3:58:55 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [Demo].[Customers] AS
    SELECT
        CustomerKey = CustomerKey,
        Name = FirstName + ' ' + LastName,
        MaritalStatus = CASE MaritalStatus WHEN 'M' THEN 'MARRIED' WHEN 'S' THEN 'SINGLE' ELSE 'UNKNOWN' END,
        Gender = CASE Gender WHEN 'M' THEN 'MALE' WHEN 'F' THEN 'FEMALE' ELSE 'UNKNOWN' END,
        YearlyIncome,
        TotalChildren,
        NumberChildrenAtHome,
        Education = EnglishEducation,
        Occupation = EnglishOccupation,
        HouseOwner = CASE HouseOwnerFlag WHEN 0 THEN 'NOT HOUSE OWNER' WHEN 1 THEN 'HOUSE OWNER' ELSE 'UNKNOWN' END,
        NumberCarsOwned
    FROM
        dbo.DimCustomer WITH (NOLOCK)

GO

/****** Object:  View [Demo].[OrderDate]    Script Date: 1/14/2013 3:58:55 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [Demo].[OrderDate] AS
    SELECT
        OrderDateKey = DateKey,
        FullDate     = FullDateAlternateKey,
        MonthName    = EnglishMonthName,
        MonthNumber  = MonthNumberOfYear,
		WeekDay      = DayNumberOfWeek,
		WeekName     = EnglishDayNameOfWeek,
		WeekNumber   = WeekNumberOfYear,
		Quarter      = CalendarQuarter,
        Year         = CalendarYear,
		WorkingDays  = CASE DayNumberOfWeek WHEN 1 THEN 0 WHEN 7 THEN 0 ELSE 1 END
    FROM
        dbo.DimDate
	WITH (NOLOCK)


GO

/****** Object:  View [Demo].[Products]    Script Date: 1/14/2013 3:58:55 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [Demo].[Products] AS
    SELECT
        ProductKey              = ProductKey,
		ProductCode             = ProductAlternateKey,
        ProductSubcategoryKey   = ProductSubcategoryKey,
        ProductName             = EnglishProductName,
        Cost                    = StandardCost,
        Color                   = Color,
        ListPrice               = ListPrice,
        ProductModel            = ModelName,
        LargePhoto              = LargePhoto,
	    ScdStatus               = Status,
        ScdStartDate            = StartDate
    FROM
        dbo.DimProduct
	WITH (NOLOCK)


GO

/****** Object:  View [Demo].[Sales]    Script Date: 1/14/2013 3:58:55 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [Demo].[Sales] AS
    SELECT     
        ProductKey,
        OrderDateKey,
		ShipDateKey,
		DueDateKey,
		OrderDate,
        CustomerKey,
        SalesTerritoryKey,
        OrderQuantity,
		CurrencyKey,
        UnitPrice,
        DiscountAmount,
        ProductStandardCost,
        TotalProductCost,
        SalesAmount
    FROM dbo.FactInternetSales WITH (NOLOCK)


GO


